package request

type TaobaoTraderateExplainAddRequest struct {
	/*
	   子订单ID     */
	Oid *int64 `json:"oid" required:"true" `
	/*
	   评价解释内容，最大长度：500个汉字     */
	Reply *string `json:"reply" required:"true" `
}

func (s *TaobaoTraderateExplainAddRequest) SetOid(v int64) *TaobaoTraderateExplainAddRequest {
	s.Oid = &v
	return s
}
func (s *TaobaoTraderateExplainAddRequest) SetReply(v string) *TaobaoTraderateExplainAddRequest {
	s.Reply = &v
	return s
}

func (req *TaobaoTraderateExplainAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Oid != nil {
		paramMap["oid"] = *req.Oid
	}
	if req.Reply != nil {
		paramMap["reply"] = *req.Reply
	}
	return paramMap
}

func (req *TaobaoTraderateExplainAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
